REST API
Labels
Read workspace labels, label status across records, and recommended labels.
GET
/v2/workspaces/{slug}/labelsLabel list search
List workspace labels and the record count for each label.
Parameters
slugRequiredstringpathWorkspace slug
Request example
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/labels" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"Success responses
Response body
itemsRequiredV2LabelWithRecordCount[]Items contained in this value.idRequiredintegerLabel identifier.nameRequiredstringLabel name.colorRequiredstringLabel display color.record_countRequiredintegerNumber of records.
Response example
{
"items": [
{
"id": 1,
"name": "Example",
"color": "string",
"record_count": 1
}
]
}Errors
| Status | Error code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 404 | WORKSPACE_NOT_FOUND | Not found |
| 422 | VALIDATION_ERROR | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |
GET
/v2/workspaces/{slug}/records/labels/statusCheck Label Status of Multiple Records
Retrieve label application status for the specified records.
Parameters
slugRequiredstringpathWorkspace slugrecord_idsRequiredinteger[]queryRecord IDs whose label status to retrieve.
Request example
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/labels/status?record_ids=1" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"Success responses
Response body
labelsRequiredV2BulkLabelStatusItem[]Labels associated with the resource.idRequiredintegerLabel identifier.nameRequiredstringLabel name.colorRequiredstringLabel display color.statusRequiredV2BulkLabelStatusCurrent status.
Response example
{
"labels": [
{
"id": 1,
"name": "Example",
"color": "string",
"status": "unchecked"
}
]
}Errors
| Status | Error code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 404 | WORKSPACE_NOT_FOUND | Not found |
| 422 | VALIDATION_ERROR | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |
POST
/v2/workspaces/{slug}/records/labelsAdd labels to multiple records
Associate the specified labels with the specified records.
Parameters
slugRequiredstringpathWorkspace slug
Request body
Records and labels to associate.
record_idsRequiredinteger[]Record identifiers whose label associations will be changed.label_idsRequiredinteger[]Label identifiers to associate or remove.
Request example
curl --request POST \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/labels" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT" \
--header "Content-Type: application/json" \
--data '{
"record_ids": [
1
],
"label_ids": [
1
]
}'Success responses
Errors
| Status | Error code | Description |
|---|---|---|
| 400 | INVALID_LABEL_SELECTION | Invalid request |
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 404 | WORKSPACE_NOT_FOUND | Not found |
| 422 | VALIDATION_ERROR | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |
DELETE
/v2/workspaces/{slug}/records/labelsRemove labels from multiple records
Remove the specified label associations from the specified records.
Parameters
slugRequiredstringpathWorkspace slug
Request body
Records and labels whose associations will be removed.
record_idsRequiredinteger[]Record identifiers whose label associations will be changed.label_idsRequiredinteger[]Label identifiers to associate or remove.
Request example
curl --request DELETE \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/labels" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT" \
--header "Content-Type: application/json" \
--data '{
"record_ids": [
1
],
"label_ids": [
1
]
}'Success responses
Errors
| Status | Error code | Description |
|---|---|---|
| 400 | INVALID_LABEL_SELECTION | Invalid request |
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 404 | WORKSPACE_NOT_FOUND | Not found |
| 422 | VALIDATION_ERROR | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |
GET
/v2/workspaces/{slug}/records/{record_id}/label-recommendationsList record label recommendations
List label recommendations generated for the record.
Parameters
record_idRequiredintegerpathRecord identifier.slugRequiredstringpathWorkspace slug
Request example
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/label-recommendations" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"Success responses
Response body
record_idRequiredintegerRecord identifier.recommendationsRequiredV2RecommendedLabel[]Recommended labels for the record.label_idRequiredintegerRecommended label identifier.label_nameRequiredstringRecommended label name.
Response example
{
"record_id": 1,
"recommendations": [
{
"label_id": 1,
"label_name": "string"
}
]
}Errors
| Status | Error code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 404 | RECORD_NOT_FOUND | Not found |
| 422 | VALIDATION_ERROR | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |